/*
 * Sound.h
 *
 *  Created on: Aug 2, 2018
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#ifndef _SRC_OUTPUT_ISOUND_H_
#define _SRC_OUTPUT_ISOUND_H_

#include "Item.h"

namespace flippR_driver
{
namespace output
{
namespace items
{

class Sound : public virtual Item
{
public:
	virtual ~Sound() = default;

	virtual void play() = 0;
};

}
} /* namespace output */
}
#endif